<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Environment_Student extends Controller_Environment_User
{
    /** @var Model_User_Student */
    protected $user;

    /**
     * @var string
     * Path to students twig folder
     */
    const TWIG_FOLDER = 'student/';

    /** @var Model_Student */
    protected $studentInfo;

    public function before() {
        parent::before();

        $this->user->checkAccess(User::RIGHTS_STUDENT);
        $this->studentInfo = Model_Student::load($this->user->StudentID);
        $recordBooks = $this->studentInfo->RecordBooks;
        if ( ! $this->user->RecordBookID) {
            $this->user->RecordBookID = array_values($recordBooks)[0]['ID'];
        }
        $this->twig->set_global(['RecordBookList' => $recordBooks]);
    }
}